Buffalo NAS-Central Forums

Welcome to the Linkstation Wiki community
It is currently Wed Aug 20, 2014 3:49 pm

All times are UTC [ DST ]




Post new topic Reply to topic  [ 4 posts ] 
Author Message
 Post subject: Netatalk running?
PostPosted: Sat Jan 05, 2008 10:19 pm 
Offline
Newbie

Joined: Fri May 11, 2007 6:22 pm
Posts: 25
Hi all,

I tried to set up netatalk 2.0.3, simply by calling an "apt-get install netatalk". This works fine but there is a problem when I want to start the server:

Starting AppleTalk services (this will take a while): atalkd papd/usr/sbin/afpd: /lib/libgcc_s.so.1: version `GCC_3.5' not found (required by /usr/local/BerkeleyDB.4.2/lib/libdb-4.2.so)
/usr/sbin/afpd: /lib/libc.so.6: version `GLIBC_2.4' not found (required by /usr/local/BerkeleyDB.4.2/lib/libdb-4.2.so)
afpd/usr/sbin/cnid_metad: /lib/libgcc_s.so.1: version `GCC_3.5' not found (required by /usr/local/BerkeleyDB.4.2/lib/libdb-4.2.so)
/usr/sbin/cnid_metad: /lib/libc.so.6: version `GLIBC_2.4' not found (required by /usr/local/BerkeleyDB.4.2/lib/libdb-4.2.so)
cnid_metad.


At google and of course in this wonderful forum I found some articles concerning netatalk and the problem wirh BerkeleyDB but nothting really useful to solve this problem.

So I wonder if anybody was able to get netatalk running on an arm9 based machine? If so...how?? :p

I am using freelink with kernel 2.6.12.

Thanks for your answers.


Top
 Profile  
 
 Post subject: Re: Netatalk running?
PostPosted: Sat Jan 05, 2008 10:47 pm 
Offline
Site Admin
User avatar

Joined: Mon Aug 28, 2006 1:15 am
Posts: 2606
where did you get your binaries from? (it looks like you are running FreeLink?).

It looks like the netatalk package that you installed was compiled w/ a higher version of gcc than what was used to build your system.

_________________
LS1 (foonas, nfs, Tranmission & p910nd print server, Firefly for my Roku)
LS-HG500 (Lenny)
Various LS-Pros v1,v2 (unbricked w/ serial & jtag)
KuroPro, LS2 & KuroHG (foonas)
Working on davysweather.dyndns.org lately...

=> wooohooo!
wooohooo!
Unknown command 'wooohooo!' - try 'help'


Top
 Profile  
 
 Post subject: Re: Netatalk running?
PostPosted: Sun Jan 06, 2008 12:46 pm 
Offline
Newbie

Joined: Fri May 11, 2007 6:22 pm
Posts: 25
I got the netatalk package via "apt-get install netatalk", I am using the stable etch. So for me this is a litte bit confusing...all packages (also the berkeley db 4.2) come from etch but they the seem to be incompatible with netatalk. I just did a "apt-get -u upgrade" to upgrade all packages but also this did not help.

Any ideas? Thanks.


Top
 Profile  
 
 Post subject: Re: Netatalk running?
PostPosted: Sun Jan 06, 2008 3:25 pm 
Online
Site Admin
User avatar

Joined: Sun Jul 17, 2005 4:34 pm
Posts: 5330
It's a long-standing bug;

rm -r /usr/local/BerkeleyDB.4.2


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 28 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Protected by Anti-Spam ACP
Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group